Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server
Class ApplicationRegistry

    java.lang.Object
      org.openqa.selenium.server.ApplicationRegistry

    public class ApplicationRegistry

extends java.lang.Object

Application Registry. Global object to find common objects and services. See http://martinfowler.com/eaaCatalog/registry.html

Constructor Summary
`ApplicationRegistry()`

Method Summary
`BrowserInstallationCache` | `browserInstallationCache()`
`static ApplicationRegistry` | `instance()` Return the singleton instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationRegistry

    public ApplicationRegistry()

Method Detail

### instance

    public static ApplicationRegistry instance()

  Return the singleton instance.

  Returns:
    The singleton instance. Never null.

### browserInstallationCache

    public BrowserInstallationCache browserInstallationCache()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.